/*******************************************************************************
 * ParticleModuleBeamModifier generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleBeamModifier extends ParticleModuleBeamBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

enum BeamModifierType
{
    PEB2MT_Source,
    PEB2MT_Target,
    PEB2MT_MAX
};

struct native BeamModifierOptions
{
    var() bool bModify;
    var() bool bScale;
    var() bool bLock;

    structdefaultproperties
    {
        bModify=false
        bScale=false
        bLock=false
    }
};

var(Modifier) ParticleModuleBeamModifier.BeamModifierType ModifierType;
var(Position) BeamModifierOptions PositionOptions;
var(Position) RawDistributionVector Position;
var(Tangent) BeamModifierOptions TangentOptions;
var(Tangent) RawDistributionVector Tangent;
var(Tangent) bool bAbsoluteTangent;
var(Strength) BeamModifierOptions StrengthOptions;
var(Strength) RawDistributionFloat Strength;

defaultproperties
{
    Position=Distribution=DistributionVectorConstant'Default__ParticleModuleBeamModifier.DistributionPosition',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=3,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Position
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    Tangent=Distribution=DistributionVectorConstant'Default__ParticleModuleBeamModifier.DistributionTangent',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=3,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Tangent
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    Strength=Distribution=DistributionFloatConstant'Default__ParticleModuleBeamModifier.DistributionStrength',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Strength
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
}